Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.swingx.error
Class ErrorLevel

    java.lang.Object
      java.util.logging.Level
          org.jdesktop.swingx.error.ErrorLevel

All Implemented Interfaces:
  java.io.Serializable

    public class ErrorLevel

extends java.util.logging.Level

Extends `Level` adding the `FATAL` error level. Fatal errors are those unrecoverable errors that must result in the termination of the application.

Author:
  rbair
See Also:
  Serialized Form

Field Summary
`static ErrorLevel` | `FATAL` FATAL is a message level indicating a catastrophic failure that should result in the immediate termination of the application.

Fields inherited from class java.util.logging.Level
`ALL, CONFIG, FINE, FINER, FINEST, INFO, OFF, SEVERE, WARNING`

Constructor Summary
`protected` | `ErrorLevel(java.lang.String name, int value)` Creates a new instance of ErrorLevel

Method Summary

Methods inherited from class java.util.logging.Level
`equals, getLocalizedName, getName, getResourceBundleName, hashCode, intValue, parse, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### FATAL

    public static final ErrorLevel FATAL

  FATAL is a message level indicating a catastrophic failure that should result in the immediate termination of the application.

  In general FATAL messages should describe events that are of considerable critical and which will prevent program execution. They should be reasonably intelligible to end users and to system administrators. This level is initialized to `1100`.

Constructor Detail

### ErrorLevel

    protected ErrorLevel(java.lang.String name,
                         int value)

  Creates a new instance of ErrorLevel

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.